package com.hai.service;

import com.hai.entity.HighDiscountAgentCode;

import java.util.List;

/**
 * @Auther: 胡锐
 * @Description:  代理商的优惠券二维码
 * @Date: 2021/4/14 22:07
 */
public interface HighDiscountAgentCodeService {

    /**
     * @Author 胡锐
     * @Description 批量增加
     * @Date 2021/4/14 22:08
     **/
    void insertCodeList(List<HighDiscountAgentCode> discountAgentCodeList);

    /**
     * @Author 胡锐
     * @Description 增加
     * @Date 2021/4/14 22:32
     **/
    void insertCode(HighDiscountAgentCode highDiscountAgentCode);

    /**
     * @Author 胡锐
     * @Description 修改
     * @Date 2021/4/14 22:32
     **/
    void updateCode(HighDiscountAgentCode highDiscountAgentCode);

    /**
     * @Author 胡锐
     * @Description 根据id 查询二维码
     * @Date 2021/4/14 23:38
     **/
    HighDiscountAgentCode getCodeById(Long id);
}
